"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.Operations = exports.OperationType = void 0;
let OperationType = exports.OperationType = /*#__PURE__*/function (OperationType) {
  OperationType["INSERT"] = "INSERT";
  OperationType["MODIFY"] = "MODIFY";
  OperationType["REMOVE"] = "REMOVE";
  return OperationType;
}({});
class Operations {
  items = [];
  get total() {
    return this.items.length;
  }
  insert(params) {
    this.items.push({
      index: {
        _id: params.id,
        _index: params.index
      }
    }, params.data);
  }
  modify(params) {
    this.insert(params);
  }
  delete(params) {
    this.items.push({
      delete: {
        _id: params.id,
        _index: params.index
      }
    });
  }
}
exports.Operations = Operations;

//# sourceMappingURL=Operations.js.map